Subject: Re: bug#30553: 26.0.91; underline appears beneath line-spacing rather than beneath text

From: Aaron Jensen <[email-masked]>
Date: Tue, 20 Feb 2018 22:03:12 -0800

On Tue, Feb 20, 2018 at 9:01 PM, Alp Aker <[email-masked]> wrote:
> In order to make use of font-specific information for the underline offset,
> you
> need to set x-use-underline-position-properties to a non-nil value.  But
> note that not
> all fonts provide that info, and some that do specify a value that creates
> unsightly results.

Thanks, I'll give that a shot, though that wasn't exactly what I was
asking about. I haven't seen the doc change that Eli Zaretskii has
pushed because I can't seem to get to savannah, but I was suggesting
that, given the name of the variable x-underline-at-descent-line, it'd
be nice if the natural height of the font was used rather than the
height + extra line spacing to determine where to place the underline.
Does that make sense? Basically, it'd place the underline at the same
place regardless of what line-spacing was set to (as if it were set to
nil).